%define url_ver %(echo %version | cut -d. -f1,2,3)

# filter out bogus requires
%global __requires_exclude	%{?__requires_exclude:%__requires_exclude|}typelib\\(GtkosxApplication

# comment out if not prerel
%define preVers	rc3

%define rel	1
%define subrel	1

Summary:	A powerful GTK music player
Name:		exaile
Epoch:		1
Version:	4.0.0
Release:	%mkrel %{?preVers:0.%preVers.}%{rel}
Group:		Sound/Players
License:	GPLv2+
URL:		http://www.exaile.org/
Source0:	https://github.com/exaile/exaile/archive/%{version}%{?preVers:-%preVers}/%{name}-%{version}%{?preVers:-%preVers}.tar.gz
# (tpg) somehow a musictracker plugin for pidgin doesnt work... http://code.google.com/p/pidgin-musictracker/issues/detail?id=164
# let's use native plugin for exaile
# http://sourceforge.net/projects/exailemusictrac/
Source1:	http://downloads.sourceforge.net/project/exailemusictrac/%{name}musictracker-0.1.2.tar.bz2
BuildRequires:	pkgconfig(pygobject-3.0)
BuildRequires:	intltool
BuildRequires:	gettext-devel
BuildRequires:	help2man
Requires:	gstreamer1.0-python
Requires:	gstreamer1.0-plugins-good
Requires:	gstreamer1.0-plugins-base
Requires:	gstreamer1.0-plugins-ugly
Requires:	gstreamer1.0-cdio
Requires:	gstreamer1.0-moodbar
Requires:	python2dist(dbus-python)
Requires:	python2dist(mutagen)
Requires:	python2dist(pygobject)
Requires:	python2dist(pycairo)
Requires:	python2dist(cddb)
Requires:	python2-gi-cairo
Recommends:	python2-gpod
BuildArch:	noarch

%description
Exaile is a music player inspired by KDE's Amarok, but for GTK and written in
Python. It incorporates many of the cool things from Amarok and other, like:
* automatic fetching of album art
* handling of large libraries
* lyrics fetching
* artist/album information via the wikipedia
* Last.fm support
* optional iPod support
* an advanced tag editor
* a SHOUTcast directory browser

In addition, Exaile also includes:
* a SHOUTcast directory browser
* tabbed playlists (so you can have more than one playlist open at a time)
* blacklisting of tracks (so they don't get scanned into your library)
* downloading of guitar tablature from fretplay.com
* submitting played tracks on your iPod to Last.fm

%prep
%setup -q -n %{name}-%{version}%{?preVers:-%preVers}
%autopatch -p1

# (tpg) unpack the plugin
tar xf %{SOURCE1} -C plugins/

%build
%make_build


%install
# Exaile launcher works with LIBINSTALLDIR which is a relative path from %%{_prefix}.
%make_install PREFIX=%{_prefix} LIBINSTALLDIR=%{_datadir} DESTDIR=%{buildroot}


%find_lang %{name}

%files -f %{name}.lang
%{_bindir}/%{name}
%{_datadir}/%{name}/
%{_datadir}/appdata/*
%{_datadir}/applications/*.desktop
%{_datadir}/pixmaps/%{name}.*
%{_datadir}/dbus-1/services/org.exaile.Exaile.service
%{_datadir}/bash-completion/completions/exaile
%{_datadir}/fish/vendor_completions.d/exaile.fish
%config(noreplace) %{_sysconfdir}/xdg/exaile/
%{_mandir}/man1/%{name}.*


%changelog
* Sat Dec 07 2019 daviddavid <daviddavid> 1:4.0.0-0.rc3.1.1.mga7
+ Revision: 1465031
- add missing dependency on python2-gi-cairo (mga#25838)

* Thu Nov 29 2018 daviddavid <daviddavid> 1:4.0.0-0.rc3.1.mga7
+ Revision: 1336634
- new version: 4.0.0-rc3
- switch to GTK+3

* Thu Sep 20 2018 umeabot <umeabot> 1:4.0.0-0.beta2.4.mga7
+ Revision: 1278210
- Mageia 7 Mass Rebuild

* Sun Apr 22 2018 daviddavid <daviddavid> 1:4.0.0-0.beta2.3.mga7
+ Revision: 1221129
- change dependency mutagen for python2dist(mutagen)
- use new python provides

* Sun Jan 21 2018 wally <wally> 1:4.0.0-0.beta2.2.mga7
+ Revision: 1195483
- filter out typelib() requires we don't have

* Thu Jan 18 2018 wally <wally> 1:4.0.0-0.beta2.1.mga7
+ Revision: 1194399
- add part for bumping to release
- own unowned datadir

* Wed Jan 17 2018 mokraemer <mokraemer> 1:4.0.0-0.beta2.mga7
+ Revision: 1194188
- updated exaile to 4.0.0-beta2 with gstreamer 1.0 support
+ vaci0 <vaci0>
- Fix bug not read tags opus files

* Sun Dec 18 2016 daviddavid <daviddavid> 1:3.4.5-3.mga6
+ Revision: 1075949
- add upstream patch to fix tags not read for opus files (mga#19976)

* Tue Feb 09 2016 umeabot <umeabot> 1:3.4.5-2.mga6
+ Revision: 952583
- Mageia 6 Mass Rebuild
+ vaci0 <vaci0>
- Update to new version 3.4.5

* Thu Mar 19 2015 vaci0 <vaci0> 1:3.4.4-1.mga5
+ Revision: 818960
-Update to new version 3.4.4

* Mon Mar 09 2015 vaci0 <vaci0> 1:3.4.3-2.mga5
+ Revision: 818235
-Add patch to fix bug 15447. Wrong directory translation
-Update to new version 3.4.3

* Tue Dec 16 2014 bersuit <bersuit> 1:3.4.2-2.mga5
+ Revision: 803632
- fix lib installation directory

* Fri Dec 05 2014 wally <wally> 1:3.4.2-1.mga5
+ Revision: 801623
- new version 3.4.2
- add patch to fix usage of deprecated gtk stock icons (mga#14696)
- drop unneeded girepository-devel BR

* Wed Oct 15 2014 umeabot <umeabot> 1:3.4.0.2-3.mga5
+ Revision: 751005
- Second Mageia 5 Mass Rebuild

* Tue Sep 16 2014 umeabot <umeabot> 1:3.4.0.2-2.mga5
+ Revision: 679055
- Mageia 5 Mass Rebuild
+ tv <tv>
- s/uggests:/Recommends:/
+ ovitters <ovitters>
- add gobject-introspection BR for typelib auto BR

* Tue Sep 09 2014 vaci0 <vaci0> 1:3.4.0.2-1.mga5
+ Revision: 674021
- Update new version 3.4.0.2

* Sat Feb 08 2014 dams <dams> 1:3.3.2-1.mga5
+ Revision: 585717
- new version 3.3.2

* Fri Oct 18 2013 umeabot <umeabot> 1:3.3.1-3.mga4
+ Revision: 504116
- Mageia 4 Mass Rebuild

* Fri Jan 11 2013 umeabot <umeabot> 1:3.3.1-2.mga3
+ Revision: 349812
- Mass Rebuild - https://wiki.mageia.org/en/Feature:Mageia3MassRebuild

* Wed Jan 09 2013 bersuit <bersuit> 1:3.3.1-1.mga3
+ Revision: 343935
- Update to new version 3.3.1

* Tue Oct 30 2012 dams <dams> 1:3.3.0-1.mga3
+ Revision: 311629
- clean specfile
+ vaci0 <vaci0>
- Update to version 3.3.0
- Fixed group Sound/Players

* Thu Sep 08 2011 tv <tv> 1:0.3.2.2-1.mga2
+ Revision: 141578
- fix source URL
- new release

* Thu Jun 30 2011 ahmad <ahmad> 1:0.3.2.1-1.mga2
+ Revision: 116355
- Update to 0.3.2.1
- Use new Source URL

* Wed Mar 09 2011 ennael <ennael> 1:0.3.2.0-1.mga1
+ Revision: 67133
- clean spec file
- imported package exaile


* Sat Jul 10 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.2.0-1mdv2011.0
+ Revision: 550138
- update to new version 0.3.2.0

* Mon Apr 19 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.1.1-1mdv2010.1
+ Revision: 536787
- update to new vewrsion 0.3.1.1

* Tue Apr 06 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.1.0-1mdv2010.1
+ Revision: 532335
- update to new version 0.3.1.0

* Sat Feb 20 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.1-0.b.2mdv2010.1
+ Revision: 508831
- update exailemusictracker plugin to new version 0.1.2

* Wed Feb 17 2010 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.1-0.b.1mdv2010.1
+ Revision: 507304
- update to new version 0.3.1-beta

* Thu Dec 31 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0.2-2mdv2010.1
+ Revision: 484455
- add exailemusictracker plugin

* Wed Nov 25 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0.2-1mdv2010.1
+ Revision: 470128
- update to new version 0.3.0.2

* Sun Oct 11 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0.1-2mdv2010.0
+ Revision: 456687
- add requires for gstreamer0.10-cdio and gstreamer0.10-moodbar

* Sun Sep 20 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0.1-1mdv2010.0
+ Revision: 445385
- update to new version 0.3.0.1

* Sun Aug 30 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-1mdv2010.0
+ Revision: 422364
- fix installation directory
- update to new version 0.3.0
- drop all patches
- spec file clean

* Mon Jun 08 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-0.a2.4mdv2010.0
+ Revision: 383805
- Patch2: fix support for pyinotify

* Sun Jun 07 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-0.a2.3mdv2010.0
+ Revision: 383756
- add requires on python-pyinotify

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-0.a2.2mdv2010.0
+ Revision: 383272
- move files to share dir

* Sat Jun 06 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-0.a2.1mdv2010.0
+ Revision: 383231
- package is noarch now
- drop requires on mozilla related stuff
- Patch1: install all plugins
- update to new prerelease 0.3.0a2

* Thu Jan 29 2009 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.3.0-0.a1.1mdv2009.1
+ Revision: 335289
- disable all patches
- update to new version 0.3.0a1

* Sun Dec 28 2008 Funda Wang <fwang@mandriva.org> 1:0.2.14-2mdv2009.1
+ Revision: 320328
- rebuild for new python

* Sat Oct 11 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.14-1mdv2009.1
+ Revision: 292533
- update to new version 0.2.14 (bugfix release)
- drop merged patches 1,2,4 and 5

* Thu Aug 07 2008 Thierry Vignaud <tv@mandriva.org> 1:0.2.13-8mdv2009.0
+ Revision: 266737
- rebuild early 2009.0 package (before pixel changes)

* Wed Aug 06 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-7mdv2009.0
+ Revision: 264549
- Patch7: fix makefile
- pass correct MOZILLA_FIVE_HOME variable, it is extracted from /etc/gre.d/*.conf

  + Pixel <pixel@mandriva.com>
    - rpm filetriggers deprecates update_menus/update_scrollkeeper/update_mime_database/update_icon_cache/update_desktop_database/post_install_gconf_schemas

* Tue Jun 03 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-6mdv2009.0
+ Revision: 214570
- Patch4: fix manual collection rescan
- Patch5: improve performance
- Patch6: fix tag editor

* Thu May 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-5mdv2009.0
+ Revision: 199878
- Patch3: fix ipod mount path
- remove shebangs for files
- fix license
- spec file clean

* Thu May 01 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-4mdv2009.0
+ Revision: 199868
- Patch1: save last directory on files tab
- Patch2: do not hit collection database so often

* Sun Apr 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-3mdv2009.0
+ Revision: 195965
- rebuild for new firefox

* Fri Apr 18 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.13-2mdv2009.0
+ Revision: 195658
- Patch0: add support for xfburn

* Sat Apr 12 2008 Funda Wang <fwang@mandriva.org> 1:0.2.13-1mdv2009.0
+ Revision: 192630
- fix tarball dir

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version
    - br gettext-devel

* Fri Mar 28 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 1:0.2.12-1mdv2008.1
+ Revision: 190809
- new version (upstream has messed up the versioning, epoch is needed)
- handle nicely firefox version

* Wed Feb 20 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.12b-1mdv2008.1
+ Revision: 173382
- no docs
- drop patch 1, fixed upstream
- drop patch 0, fixed upstream
- new version

* Wed Jan 23 2008 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11.1-3mdv2008.1
+ Revision: 156931
- speed up(about two times) music library loading with patch 0
- hopefully fix bug #36608 by adding patch 1
- gstreamer sound volume is broken, especially with apps which are using its equalizer, thus makes exaile sound volume lower. running exaile with --no-equalizer solves this.Anyways added it to the *.desktop file

  + Olivier Blin <oblin@mandriva.com>
    - restore BuildRoot

  + Thierry Vignaud <tv@mandriva.org>
    - kill re-definition of %%buildroot on Pixel's request

* Wed Dec 12 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11.1-2mdv2008.1
+ Revision: 117657
- rebuild for new firefox

* Sat Nov 17 2007 Funda Wang <fwang@mandriva.org> 0.2.11.1-1mdv2008.1
+ Revision: 109290
- fix tarball dir

  + Tomasz Pawel Gajc <tpg@mandriva.org>
    - new version (correct tarball with no entire bzr branch, source is now ~800 KB ;)

* Mon Nov 05 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-3mdv2008.1
+ Revision: 106136
- rebuild against new mozilla-firefox-2.0.0.9

* Fri Oct 19 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-2mdv2008.1
+ Revision: 100488
- rebuild against ff 2.0.0.8
- new license policy

* Thu Oct 18 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-1mdv2008.1
+ Revision: 99846
- final release

* Thu Oct 11 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.11-0.b.1mdv2008.1
+ Revision: 97214
- update to latest beta release
- do not hardcode icon extension in desktop file
- mark executable some files
- set path to firefox
- fix file list
- spec file clean

* Sun Sep 23 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-3mdv2008.0
+ Revision: 92415
- readd requires on gnome-python-gtkmozembed
- correct url for source0

  + Emmanuel Andry <eandry@mandriva.org>
    - add P0 to fix bug #33970

* Sun Sep 09 2007 Tomasz Pawel Gajc <tpg@mandriva.org> 0.2.10-1mdv2008.0
+ Revision: 83475
- drop old menu style
  add requires on python-CDDb,python-sexy,python-gamin
  remove requires on gnome-python-gtkmozembed
  compile with optflags
  use macros
  spec file clean

  + Jérôme Soyer <saispo@mandriva.org>
    - Fix Requires
      New release 0.2.10

  + Thierry Vignaud <tv@mandriva.org>
    - replace %%_datadir/man by %%_mandir!
    - fix man pages

  + Eskild Hustvedt <eskild@mandriva.org>
    - Added buildrequire on intltool
    - Added patch1: fixes crash-on-startup when not running in 24bit colour depth
    - New version 0.2.10
    - Dropped patch0: merged upstream

  + Adam Williamson <awilliamson@mandriva.org>
    - requires pygtk2.0-libglade (thanks siimo)

* Fri Apr 27 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.9-2mdv2008.0
+ Revision: 18508
- Patch0: Expand ~ in the file browser
- /media/disk is now the default mount point for removable drives

* Tue Apr 17 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.9-1mdv2007.1
+ Revision: 13638
- New version 0.2.9


* Wed Feb 28 2007 Adam Williamson <awilliamson@mandriva.com> 0.2.8-2mdv2007.0
+ Revision: 127326
- Depend on pygtk2, not python-gtk

* Thu Jan 25 2007 Eskild Hustvedt <eskild@mandriva.org> 0.2.8-1mdv2007.1
+ Revision: 113532
- Compiled all python modules
- Requires python-notify on %%mdvver > 200700
- New version 0.2.8

* Sun Dec 17 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b2-1mdv2007.1
+ Revision: 98322
- New version 0.2.7b2 (fixes a bug that caused the Open Media menu item to fail)

* Wed Dec 13 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.7b-1mdv2007.1
+ Revision: 96506
- New version 0.2.7b
- Now does conditional patching of the mmkeys makefile to work with the newer python version
- Added BuildRequires on python-devel
- New version 0.2.6
- New version 0.2.4
- Import exaile

  + plouf <plouf>
    - Fix requires

* Wed Sep 06 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.r-1mdv2007.0
- New version 0.2

* Sun Sep 03 2006 David Walluck <walluck@mandriva.org> 0.2.b5-2mdv2007.0
- Requires: dbus-python

* Sat Aug 19 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b5-1mdv2007.0
- New release 0.2b5

* Fri Aug 04 2006 Götz Waschk <waschk@mandriva.org> 0.2.b4-2mdv2007.0
- fix deps

* Tue Jun 27 2006 Eskild Hustvedt <eskild@mandriva.org> 0.2.b4
- Initial Mandriva Linux package

